groovy.util.slurpersupport

## Class NodeParents

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.slurpersupport.GPathResult
    - - groovy.util.slurpersupport.NodeChildren
      - - groovy.util.slurpersupport.NodeParents

All Implemented Interfaces:
  Buildable, GroovyObject, Writable, java.lang.Iterable

    public class NodeParents
    extends NodeChildren

Lazy evaluated representation of parent nodes without duplicates

Author:
  Jochen Eddel+

### Field Summary

### Fields inherited from class groovy.util.slurpersupport.GPathResult

`name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

### Constructor Summary

Constructors
Constructor and Description
`NodeParents(GPathResult parent, java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Iterator` `nodeIterator()`

### Methods inherited from class groovy.util.slurpersupport.NodeChildren

`appendNode, build, childNodes, find, findAll, iterator, parents, replaceBody, replaceNode, size, text, writeTo`

### Methods inherited from class groovy.util.slurpersupport.GPathResult

`breadthFirst, children, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, hashCode, isEmpty, leftShift, list, lookupNamespace, name, parent, plus, pop, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, invokeMethod`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### NodeParents

    public NodeParents(GPathResult parent,
                       java.util.Map<java.lang.String,java.lang.String> namespaceTagHints)

Parameters:
  `parent` - the GPathResult prior to the application of the expression creating this GPathResult
  `namespaceTagHints` - the known tag to namespace mappings

### Method Detail

#### nodeIterator

    public java.util.Iterator nodeIterator()

Overrides:
  `nodeIterator` in class `NodeChildren`